Subject: bug#12507: [debbugs-tracker] Processed: severity 12507 wishlist

From: "Drew Adams" <[email-masked]>
Date: Thu, 27 Sep 2012 09:00:39 -0700

> >>   * Also change the default value of 
> >>     `bookmark-version-control' to be `nil' instead of
> >>     `nospecial', so that backups of the bookmark data
> >>     file are no longer on by default (unless there are 
> >>     already backup files present).
> >
> > But how does that help a user turn backup on in the first 
> > place?  Not a rhetorical question - I really don't know.
> > How should a user create the first backup file?
> >
> > What would the doc suggest to the user for that?  Copy the 
> > file to one with a `~' suffix (error prone)?  Visit the
> > bookmark file, type SPC then DEL, then `C-x C-s' (error prone)?
> >
> > What is an easy, sure way for a user who has never backed up
> > a file (one that is not typically visited interactively) to
> > create a backup?
> 
> Set `bookmark-version-control' to `t', of course.

OK, I thought of that, but that seems like a strange thing for the doc to
suggest: customize it to `t', save your bookmark file, then re/un-customize it
back to the default, `nil'.

Is that really the best recommendation?  I have no special problem with it, but
somehow I was expecting something else.  

Whatever the recommended procedure is, I think the doc (for this and
`version-control') should suggest it to users.